/v1/workspaces/{workspace_id}/contacts/{contact}/segments/{segment_id}AuthRemove a contact from a static segment
204 whether or not it was a member.
Path parameters
workspace_id*string · uuidId of the workspace.
contact*stringThe contact id, or its email address (URL-encoded).
segment_id*string · uuidId of the segment.
Response · 204
Not a member (any more).
Example
Request
DELETE https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/contacts/{contact}/segments/{segment_id}
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
await mail.contacts.segments.delete("ada@example.com", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");mail.contacts.segments.delete(contact, segmentId, options?): void